| Classes - Annotated - Tree - Functions - Home - Structure

# QSortedList Class Reference

The QSortedList class provides a list sorted by operator< and operator== More...

`#include <qsortedlist.h>`

Inherits QList.

List of all member functions.

## Public Members

- QSortedList ()
- QSortedList ( const QSortedList<type> & list )
- ~QSortedList ()
- QSortedList<type>& operator= ( const QSortedList<type> & list )

## Detailed Description

The QSortedList class provides a list sorted by operator< and operator==

If you want to sort a QList you have to reimplement the QGList::compareItems() method. If the elements of your list support operator<() and operator==() then you can use QSortedList instead. Its compareItems() calls operator<() and operator==() and returns an appropriate result.

Otherwise, this is as QList.

See also QList and Collection Classes

## Member Function Documentation

### QSortedList::QSortedList ()

Constructs an empty list.

### QSortedList::QSortedList ( const QSortedList<type> & list )

Constructs a copy of list.

Each item in list is copied to this new list.

### QSortedList::~QSortedList ()

Removes all items from the list and destroys the list.

All list iterators that access this list will be reset.

### int QSortedList::compareItems ( QCollection::Item s1, QCollection::Item s2 ) `[virtual]`

Reimplemented for internal reasons; the API is not affected.

This reimplementation uses operator< and operator== to compare.

### QSortedList<type>& QSortedList::operator= ( const QSortedList<type> & list )

Assigns list to this list and returns a reference to this list.

This list is first cleared, then each item in list is appended to this list. Only the pointers are copied (shallow copy), unless newItem() has been reimplemented().

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2001 Trolltech, all rights reserved.